/**
 * elFinder translation template
 * use this file to create new translation
 * submit new translation via https://github.com/Studio-42/elFinder/issues
 * or make a pull request
 */
 
/**
 * Korean translation
 * @author Translator SeungJun Lee <tuw@hanmail.net>
 * @version 2013-02-07
 */
if (elFinder && elFinder.prototype && typeof(elFinder.prototype.i18) == 'object') {
	elFinder.prototype.i18.ko = {
		translator : 'SeungJun Lee &lt;tuw@hanmail.net&gt;',
		language   : 'Korean',
		direction  : 'ltr',
		dateFormat : 'Y.m.d H:i',
		fancyDateFormat : '$1 H:i',
		messages   : {
			
			/********************************** errors **********************************/
			'error'                : '오류',
			'errUnknown'           : '알 수 없는 오류가 발생하였습니다.',
			'errUnknownCmd'        : '잘못된 명령입니다.',
			'errJqui'              : 'jQuery UI 설정이 잘못되었습니다. Selectable, Draggable, Droppable 컴포넌트가 반드시 포함되어야 합니다.',
			'errNode'              : 'elFinder 파일 관리기를 사용하기 위해서는 DOM Element가 생성되어야 합니다.',
			'errURL'               : 'URL 설정 오류',
			'errAccess'            : '접근이 거부되었습니다.',
			'errConnect'           : '서버에 연결할 수 없습니다.',
			'errAbort'             : '서버 연결이 취소되었습니다.',
			'errTimeout'           : '요청 시간이 만료되었습니다.',
			'errNotFound'          : '서버에 연결할 수 없습니다.',
			'errResponse'          : '잘못된 서버 응답입니다.',
			'errConf'              : '서버 설정 오류',
			'errJSON'              : '서버에 PHP-JSON 모듈이 설치되지 않았습니다.',
			'errNoVolumes'         : '읽기 가능한 항목이 없습니다.',
			'errCmdParams'         : "'$1' 명령에 대한 올바른 매개 변수가 아닙니다.",
			'errDataNotJSON'       : '수신 데이터가 JSON 형식이 아닙니다.',
			'errDataEmpty'         : '수신 데이터가 없습니다.',
			'errCmdReq'            : '서버에 요청하기 위한 명령어가 지정되지 않았습니다.',
			'errOpen'              : "'$1'을 열 수 없습니다.",
			'errNotFolder'         : '대상이 폴더가 아닙니다.',
			'errNotFile'           : '대상이 파일이 아닙니다.',
			'errRead'              : "'$1'을 읽을 수 없습니다.",
			'errWrite'             : "'$1'에 쓸 수 없습니다.",
			'errPerm'              : '권한이 없습니다.',
			'errLocked'            : "'$1'이 보호 설정되어 있습니다.<br />이름바꾸기, 이동, 삭제할 수 없습니다.",
			'errExists'            : "'$1'과 이름이 같은 파일이 있습니다.",
			'errInvName'           : "허용되지 않은 이름입니다.",
			'errFolderNotFound'    : '폴더를 찾을 수 없습니다.',
			'errFileNotFound'      : '파일을 찾을 수 없습니다.',
			'errTrgFolderNotFound' : "'$1' 폴더를 찾을 수 없습니다.",
			'errPopup'             : '브라우저의 팝업 제한 옵션이 켜져 있습니다. 파일을 열기 위해서는 팝업창 옵션이 허용되어 있어야 합니다.',
			'errMkdir'             : "'$1' 폴더를 생성할 수 없습니다.",
			'errMkfile'            : "'$1' 파일을 생성할 수 없습니다.",
			'errRename'            : "'$1'의 이름을 바꿀 수 없습니다.",
			'errCopyFrom'          : "'$1'으로부터의 파일 복사가 허용되지 않았습니다.",
			'errCopyTo'            : "'$1'으로의 파일 복사가 허용되지 않았습니다.",
			'errUploadCommon'      : '업로드 오류',
			'errUpload'            : "'$1'을 업로드 할 수 없습니다.",
			'errUploadNoFiles'     : '업로드 할 파일이 없습니다.',
			'errMaxSize'           : '저장 공간이 부족합니다.',
			'errFileMaxSize'       : '파일이 허용 가능한 용량을 초과하였습니다.',
			'errUploadMime'        : '해당 형식의 파일은 업로드할 수 없습니다.',
			'errUploadTransfer'    : "'$1'을 이동하는 과정에서 오류가 발생하였습니다.", 
			'errSave'              : "'$1'을 저장할 수 없습니다.",
			'errCopy'              : "'$1'을 복사할 수 없습니다.",
			'errMove'              : "'$1'을 이동할 수 없습니다.",
			'errCopyInItself'      : "'$1'의 복사 대상과 원본이 같습니다.",
			'errRm'                : "'$1'을 삭제할 수 없습니다.",
			'errExtract'           : "'$1'의 압축을 풀 수 없습니다.",
			'errArchive'           : '압축할 수 없습니다.',
			'errArcType'           : '지원되지 않는 압축 파일 형식입니다.',
			'errNoArchive'         : '압축 파일이 아니거나, 지원되지 않는 압축 파일 형식입니다.',
			'errCmdNoSupport'      : '허용되지 않은 명령입니다.',
			'errReplByChild'       : "'$1'을 덮어쓰기 할 수 없습니다.",
			'errArcSymlinks'       : '보안상의 이유로 심볼릭 링크를 포함한 압축 파일은 풀 수 없습니다.',
			'errArcMaxSize'        : '압축 파일이 허용된 최대 크기를 초과하였습니다.',
			'errResize'            : "'$1의 크기를 조절할 수 없습니다.",
			'errUsupportType'      : '지원되지 않는 파일 형식입니다.',
			
			/******************************* commands names ********************************/
			'cmdarchive'   : '압축하기',
			'cmdback'      : '뒤로',
			'cmdcopy'      : '복사',
			'cmdcut'       : '잘라내기',
			'cmddownload'  : '다운로드',
			'cmdduplicate' : '사본 만들기',
			'cmdedit'      : '편집',
			'cmdextract'   : '압축 풀기',
			'cmdforward'   : '앞으로',
			'cmdgetfile'   : '파일 선택',
			'cmdhelp'      : 'elFinder 정보',
			'cmdhome'      : '홈',
			'cmdinfo'      : '정보',
			'cmdmkdir'     : '새 폴더',
			'cmdmkfile'    : '새 텍스트 파일',
			'cmdopen'      : '열기',
			'cmdpaste'     : '붙여넣기',
			'cmdquicklook' : '미리보기',
			'cmdreload'    : '새로고침',
			'cmdrename'    : '이름바꾸기',
			'cmdrm'        : '삭제',
			'cmdsearch'    : '찾기',
			'cmdup'        : '상위 폴더로 이동',
			'cmdupload'    : '파일 업로드',
			'cmdview'      : '보기',
			'cmdresize'    : '그림 편집',
			'cmdsort'      : '정렬',
			
			/*********************************** buttons ***********************************/ 
			'btnClose'  : '닫기',
			'btnSave'   : '저장',
			'btnRm'     : '삭제',
			'btnApply'  : '적용',
			'btnCancel' : '취소',
			'btnNo'     : '아니오',
			'btnYes'    : '예',
			
			/******************************** notifications ********************************/
			'ntfopen'     : '폴더 열기',
			'ntffile'     : '파일 열기',
			'ntfreload'   : '새로고침',
			'ntfmkdir'    : '폴더 만들기',
			'ntfmkfile'   : '새로 만들기',
			'ntfrm'       : '삭제',
			'ntfcopy'     : '복사',
			'ntfmove'     : '이동',
			'ntfprepare'  : '복사 준비',
			'ntfrename'   : '이름바꾸기',
			'ntfupload'   : '업로드',
			'ntfdownload' : '다운로드',
			'ntfsave'     : '저장',
			'ntfarchive'  : '압축',
			'ntfextract'  : '압축 풀기',
			'ntfsearch'   : '검색',
			'ntfsmth'     : '다른 작업을 하는 중입니다.',
			'ntfloadimg'  : '그림파일 읽기',
			
			/************************************ dates **********************************/
			'dateUnknown' : '알 수 없음',
			'Today'       : '오늘',
			'Yesterday'   : '어제',
			'Jan'         : 'Jan',
			'Feb'         : 'Feb',
			'Mar'         : 'Mar',
			'Apr'         : 'Apr',
			'May'         : 'May',
			'Jun'         : 'Jun',
			'Jul'         : 'Jul',
			'Aug'         : 'Aug',
			'Sep'         : 'Sep',
			'Oct'         : 'Oct',
			'Nov'         : 'Nov',
			'Dec'         : 'Dec',
			'January'     : 'January',
			'February'    : 'February',
			'March'       : 'March',
			'April'       : 'April',
			'May'         : 'May',
			'June'        : 'June',
			'July'        : 'July',
			'August'      : 'August',
			'September'   : 'September',
			'October'     : 'October',
			'November'    : 'November',
			'December'    : 'December',
			'Sunday'      : 'Sunday', 
			'Monday'      : 'Monday', 
			'Tuesday'     : 'Tuesday', 
			'Wednesday'   : 'Wednesday', 
			'Thursday'    : 'Thursday', 
			'Friday'      : 'Friday', 
			'Saturday'    : 'Saturday',
			'Sun'         : '일', 
			'Mon'         : '월', 
			'Tue'         : '화', 
			'Wed'         : '수', 
			'Thu'         : '목', 
			'Fri'         : '금', 
			'Sat'         : '토',
			/******************************** sort variants ********************************/
			'sortnameDirsFirst' : '이름 - 폴더 우선', 
			'sortkindDirsFirst' : '유형 - 폴더 우선', 
			'sortsizeDirsFirst' : '크기 - 폴더 우선', 
			'sortdateDirsFirst' : '날짜 - 폴더 우선', 
			'sortname'          : '이름', 
			'sortkind'          : '유형', 
			'sortsize'          : '크기',
			'sortdate'          : '날짜',
			
			/********************************** messages **********************************/
			'confirmReq'      : '확인이 필요합니다.',
			'confirmRm'       : '삭제시 복원이 불가능합니다.<br />정말 삭제하시겠습니까?',
			'confirmRepl'     : '이미 존재하는 파일 이름입니다.<br />원본 파일을 대체하시겠습니까?',
			'apllyAll'        : '다음 충돌에도 같은 동작 적용',
			'name'            : '이름',
			'size'            : '크기',
			'perms'           : '권한',
			'modify'          : '수정한 날짜',
			'kind'            : '유형',
			'read'            : '읽기',
			'write'           : '쓰기',
			'noaccess'        : '접근권한 없음',
			'and'             : '및',
			'unknown'         : '알 수 없음',
			'selectall'       : '전체 선택',
			'selectfiles'     : '전체 선택',
			'selectffile'     : '첫 번째 파일 선택',
			'selectlfile'     : '마지막 파일 선택',
			'viewlist'        : '목록으로 보기',
			'viewicons'       : '아이콘으로 보기',
			'places'          : '즐겨찾기',
			'calc'            : '계산', 
			'path'            : '경로',
			'aliasfor'        : '명칭',
			'locked'          : '보호됨',
			'dim'             : '크기',
			'files'           : '파일',
			'folders'         : '폴더',
			'items'           : '항목',
			'yes'             : '예',
			'no'              : '아니오',
			'link'            : '링크',
			'searcresult'     : '검색 결과',  
			'selected'        : '선택한 항목',
			'about'           : 'elFinder 정보',
			'shortcuts'       : '단축키',
			'help'            : '도움말',
			'webfm'           : '웹 기반 파일 관리기',
			'ver'             : '버전',
			'protocol'        : '프로토콜 버전',
			'homepage'        : '프로젝트 홈페이지',
			'docs'            : '기술 자료',
			'github'          : 'Github 개발실',
			'twitter'         : '트위터',
			'facebook'        : '페이스북',
			'team'            : 'elFinder Team',
			'chiefdev'        : '프로젝트 총괄',
			'developer'       : '개발',
			'contributor'     : '후원',
			'maintainer'      : '유지/보수',
			'translator'      : '한글 번역',
			'icons'           : '아이콘',
			'dontforget'      : '그리고 수건 챙겨오는 것을 잊지 마세요.',
			'shortcutsof'     : '단축키 비활성화',
			'dropFiles'       : '여기에 파일을 놓으세요.',
			'or'              : '또는',
			'selectForUpload' : '업로드하려는 파일을 선택하세요.',
			'moveFiles'       : '파일 이동',
			'copyFiles'       : '파일 복사',
			'rmFromPlaces'    : '즐겨찾기에서 제거',
			'untitled folder' : '새 폴더',
			'untitled file.txt' : '새 텍스트 문서.txt',
			'aspectRatio'     : '비율',
			'scale'           : '비율',
			'width'           : '가로',
			'height'          : '세로',
			'mode'            : '모드',
			'resize'          : '크기 조절',
			'crop'            : '자르기',
			'rotate'          : '회전',
			'rotate-cw'       : '시계 방향으로 90˚ 회전',
			'rotate-ccw'      : '반시계 방향으로 90˚ 회전',
			'degree'          : '각도',
			
			/********************************** mimetypes **********************************/
			'kindUnknown'     : '알 수 없음',
			'kindFolder'      : '폴더',
			'kindAlias'       : '별칭',
			'kindAliasBroken' : '사용하지 않는 별칭(?)',
			// applications
			'kindApp'         : '응용 프로그램',
			'kindPostscript'  : 'Postscript 문서',
			'kindMsOffice'    : 'Microsoft Office 문서',
			'kindMsWord'      : 'Microsoft Word 문서',
			'kindMsExcel'     : 'Microsoft Excel 문서',
			'kindMsPP'        : 'Microsoft PowerPoint 프레젠테이션',
			'kindOO'          : 'Open Office 문서',
			'kindAppFlash'    : 'Flash 응용 프로그램',
			'kindPDF'         : 'PDF 문서',
			'kindTorrent'     : '토렌트 시드',
			'kind7z'          : '7z 압축 파일',
			'kindTAR'         : 'TAR 압축 파일',
			'kindGZIP'        : 'GZIP 압축 파일',
			'kindBZIP'        : 'BZIP 압축 파일',
			'kindZIP'         : 'ZIP 압축 파일',
			'kindRAR'         : 'RAR 압축 파일',
			'kindJAR'         : 'Java JAR 파일',
			'kindTTF'         : 'TTF 글꼴',
			'kindOTF'         : 'OTF 글꼴',
			'kindRPM'         : 'RPM 패키지',
			// texts
			'kindText'        : '텍스트 문서',
			'kindTextPlain'   : 'Plain Text',
			'kindPHP'         : 'PHP',
			'kindCSS'         : 'CSS',
			'kindHTML'        : 'HTML 문서',
			'kindJS'          : '자바스크립트',
			'kindRTF'         : 'RTF 문서',
			'kindC'           : 'C 소스',
			'kindCHeader'     : 'C 헤더 소스',
			'kindCPP'         : 'C++ 소스',
			'kindCPPHeader'   : 'C++ 헤더 소스',
			'kindShell'       : '유닉스 쉘 스크립트',
			'kindPython'      : 'Python 소스',
			'kindJava'        : 'Java 소스',
			'kindRuby'        : 'Ruby 소스',
			'kindPerl'        : 'Perl 소스',
			'kindSQL'         : 'SQL 소스',
			'kindXML'         : 'XML 문서',
			'kindAWK'         : 'AWK 소스',
			'kindCSV'         : 'CSV 문서',
			'kindDOCBOOK'     : 'Docbook XML 문서',
			// images
			'kindImage'       : '이미지',
			'kindBMP'         : 'BMP 이미지',
			'kindJPEG'        : 'JPEG 이미지',
			'kindGIF'         : 'GIF 이미지',
			'kindPNG'         : 'PNG 이미지',
			'kindTIFF'        : 'TIFF 이미지',
			'kindTGA'         : 'TGA 이미지',
			'kindPSD'         : 'PSD 이미지',
			'kindXBITMAP'     : 'X Bitmap 이미지',
			'kindPXM'         : 'PXM 이미지',
			// media
			'kindAudio'       : '사운드 미디어',
			'kindAudioMPEG'   : 'MPEG 사운드',
			'kindAudioMPEG4'  : 'MPEG-4 사운드',
			'kindAudioMIDI'   : 'MIDI 사운드',
			'kindAudioOGG'    : 'OGG 사운드',
			'kindAudioWAV'    : 'WAV 사운드',
			'AudioPlaylist'   : 'MP3 재생목록',
			'kindVideo'       : '동영상 미디어',
			'kindVideoDV'     : 'DV 동영상',
			'kindVideoMPEG'   : 'MPEG 동영상',
			'kindVideoMPEG4'  : 'MPEG-4 동영상',
			'kindVideoAVI'    : 'AVI 동영상',
			'kindVideoMOV'    : 'Quick Time 동영상',
			'kindVideoWM'     : 'Windows Media 동영상',
			'kindVideoFlash'  : 'Flash 동영상',
			'kindVideoMKV'    : 'Matroska 동영상',
			'kindVideoOGG'    : 'OGG 동영상'
		}
	}
}

